/**
	@Author:	Paul Strandoo
	@Date:		06/2024
	@Notes:		A1 Kitchens
*/

@import url("font-awesome.min.css");
:root {
	--display-font: "Roboto Slab", serif;
	--body-font: "Roboto", sans-serif;
	--display-med: 500;
	--display-bold: 700;
	--body-light: 300;
	--body-med: 500;
	--body-bold: 700;
	
	--accent: #f8744C;
	--new-blue: #283F4F;
	
	--grey-2: #F5F5F5;	/* rgb(245,245,245) */
	--grey-6: #808080;	/* rgb(128,128,128) */
	
	--grey: #cfcfcf;
	--white: #ffffff;	
	--black: #171717;
	
	--section-pad-large: 7em;
	--section-pad-med: 5em;
	--section-pad-small: 3em;
	
	--header-height: 220px;
	
    --inner: 1260px; /* 1320 */
    --inner-narrow: 960px;
    --inner-large: 1150px;
    --inner-wide: 1500px;
    --inner-very-wide: 1970px;
    --inner-full: 100%;
    
    /*--section-default-padding: 70px 0;
    --section-mobile-padding: 40px 0;*/
	}


/* Reset */
body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,form,fieldset,label,input,textarea,p,blockquote,th,td {  
	margin:0; 
	padding:0; 
	}
table { 
	border-collapse:collapse; 
	border-spacing:0; 
	}
fieldset,img {  
	border:0; 
	}
address,caption,cite,code,dfn,em,strong,th,var { 
	font-style:normal; 
	font-weight:normal; 
	}
ol,ul,li { 
	list-style:none; 
	margin: 0;
	padding: 0;
	}
caption,th { 
	text-align:left; 
	} 
h1,h2,h3,h4,h5,h6 { 
	font-size:100%; 
	font-weight:normal; 
	} 
q:before,q:after { 
	content:''; 
	} 
abbr,acronym { 
	border:0; 
	} 
a {
	text-decoration: none;
	}
img {
	display: block;
	vertical-align: middle;
	max-width: 100%;
	}

* {
   -moz-box-sizing: border-box;
   -webkit-box-sizing: border-box;
	box-sizing: border-box;
	}

html {
	font-size: 100%;
	height: 100%;
	scroll-behavior: smooth;
	scroll-padding-top: 156px;
	}
body {
	height: 100%;
	margin: 0;
	padding: 0;
	position: relative;
	font-size: 16px;
	line-height: 1.3;
	background: #ffffff;
	}

body, input, textarea, table {
	font-family: var(--body-font);
	font-weight: var(--body-light);
	font-style: normal;
	color: var(--black);
	}

/* ----- [ Typography ] -------------------------*/
p,
li,
td {
	font-family: var(--body-font);
	font-weight: var(--body-light);
	font-style: normal;
	font-variation-settings: "wdth" 100;
	font-size: 1.2rem;
	line-height: 1.6em;
	margin: 0 0 1em;
	}
	
ul {
	margin: 1em 0;
	}
li {
	margin: 0;
	}
em {
	font-style: italic;
	}
strong, b {
	font-weight: 700;
	}

input,
button,
select,
textarea {
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
	}

a { 
	color: inherit;
	text-decoration: underline;
	}

a:hover {
	color: var(--accent);
	/*text-decoration: underline;*/
	}
a:focus {
	outline: thin dotted;
	outline: 5px auto -webkit-focus-ring-color;
	outline-offset: -2px;
	}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	font-family: var(--display-font);
	font-weight: var(--display-med);
	font-style: normal;
	color: var(--new-blue);
	font-variation-settings: "wdth" 100;
	line-height: 1.1;
	}

h1,.h1 {
	font-family: var(--display-font);
	font-weight: var(--display-bold);
	color: var(--white);
	font-size: 2rem;
	font-size: clamp(2rem, 10vw, 5rem);
	line-height: 1.2;  
	letter-spacing: 0.02em;
	margin: 0 0 0.5em;
	/*text-transform: uppercase;*/
	width: 100%;
	}
	
h1:after,.h1:after {
	content: "";
	display: block;
	width: 3.5em;
	height: 10px;
	margin-top: 0.3em;
	background: var(--accent);
	}


h2,.h2 {
	font-family: var(--display-font);
	font-weight: var(--display-med);
	color: var(--black);
	font-size: 1.75rem;
	line-height: 1.2em;
	padding: 0;
	margin: 0 0 0.8em;
	}
	
h2:first-of-type {
	margin-top: 0;
	}
	
h3,.h3 { 
	font-family: var(--display-font);
	font-weight: var(--display-med);
	color: var(--black);
	font-size: 1.5rem;
	line-height: 1.3;
	margin: 0 0 0.8em;
	}

h4,.h4 { 
	font-family: var(--display-font);
	font-weight: var(--display-bold);
	font-size: 1.1rem;
	line-height: 1.6;
	margin: 0 0 0.2em;
	}
	
h5,.h5 { 
	font-family: var(--body-font);
	font-weight: var(--body-med);
	font-size: 1.1rem;
	line-height: 1.6;
	margin: 0 0 0.2em;
	}
	
h6,.h6 { 
	font-family: var(--body-font);
	font-weight: var(--body-bold);
	font-size: 1rem;
	line-height: 1.6;
	text-transform: uppercase;
	letter-spacing: 0.05em;
	margin: 0;
	}

@media only screen and (min-width: 400px) {  
	h2,.h2 {
		font-size: 2.4rem;  
		}
}

@media only screen and (min-width: 600px) {
	h1,.h1 {
		font-size: 3.3rem;
		}
	h2,.h2 {
		font-size: 2rem;
		}
	
	h3,.h3 {
		font-size: 1.6rem;
		}
	h4,.h4 { 
		font-size: 1.3rem;
		}
}

figure {
	margin: 0;
	}
img {
	vertical-align: middle;
	}

/* Debug */
/*div { border: 1px dotted red; }
section { border: 1px solid green; }*/

/* ----- [ Structure ] -----------------*/
header,
section,
footer {
	width: 100%;
	margin: 0;
	position: relative;
	}
section {
	margin: 0;
	padding: var(--section-pad-med) 0;
	position: relative;
	}

.inner {
	max-width: calc(var(--inner) + 32px);
	margin: 0 auto;
	padding: 0 20px;
	position: relative;
	overflow: hidden;
	}
.inner-narrow {
	max-width: var(--inner-narrow);
	}
.inner-large {
	max-width: var(--inner-large);
	}
.inner-wide {
	max-width: var(--inner-wide);
	}
.inner-full {
	max-width: 100%;
	margin: 0;
	padding: 0;
	padding: 0 20px;
	}

/* ----- [ Strandoo Flex Grid System v1 ] ------ */
.row {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	flex-direction: column;
	/*justify-content: stretch;*/
	list-style: none;
	margin: 0;
	padding: 0;
	/*overflow: hidden;*/
	position: relative;
	}

.col {
	flex: 1;
	padding: 0;
	max-width: 100%;
	}




/* ----- [ Page Header / Masthead ] -----------------*/
.page-header {
	/* fixed or not */
	position: sticky;
	/*position: fixed;*/
	top: 0;
	left: 0;
	width: 100%;
	height: auto;
	z-index: 999;
	background: #fff;
	background: var(--new-blue);
	border-top: 8px solid var(--new-blue);
	box-shadow: 0 5px 10px rgba(0,0,0,0.08);
	-webkit-transform: translateZ(0);
	-moz-transform: translateZ(0);
	-ms-transform: translateZ(0);
	-o-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transition: all 0.4s;
	-moz-transition: all 0.4s;
	-o-transition: all 0.4s;
	transition: all 0.4s;
	}
	
.page-header .inner {
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	align-items: stretch;
	align-items: center;
	width: 100%;
	max-width: var(--inner-very-wide);
	margin: 0 auto;
	padding: 0;
	overflow: visible;
	}

.logo-wrap {
	display: block;
	height: auto;
	max-width: 220px;
	margin: 0;
	margin: 5px auto 12px 20px;
	margin-right: auto;
	text-decoration: none;
	border: none;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
	}

.page-header.is-small {
	background: #fff;
	}
.head-logo.reversed,
.is-small .head-logo.normal {
	display: none;
	}
.is-small .head-logo.reversed,
.head-logo.normal {
	display: block;
	}
	
.top-bar {
	color: var(--white);
	background: var(--new-blue);
	padding: 5px 30px;
	text-align: center;
	display: none;
	}
.top-bar p {
	font-size: 1rem;
	font-weight: var(--body-med);
	margin: 0;
	letter-spacing: 0.02em;
	}
.top-bar a {
	color: #fff;
	text-decoration: none;
	white-space: nowrap;
	}
.top-bar a:hover {
	color: #fff;
	text-decoration: underline;
	}
.top-bar p:not(:last-child) {
	display: none;
	}
	
.header-phone {
	position: relative;
	display: block;
	color: var(--accent);
	margin: 0;
	padding: 10px 30px;
	white-space: nowrap;
	display: none;
	}
.header-phone.mobile {
	display: inline;
	margin: 0.5em 0;
	padding: 0;
	}
.header-phone a {
	font-family: var(--display);
	font-weight: var(--display-bold);
	font-size: 1.5rem;
	text-decoration: none;
	letter-spacing: 0.05em;
	}
.header-phone a:hover {
	color: var(--black);
	}
	
	
	
	
/* ----- [ Menu Trigger (Hamburger) ] ---- */
.menu-toggle {
	position: absolute;
	position: relative;
	/*right: 1em;*/
	display: block;
	margin: 0 20px 0 0;
	background: transparent;
	width: 44px;
	height: 44px;
	cursor: pointer;
	}
.menu-toggle a {
	display: none;
	}

.menu-toggle .menu-icon {
	/* this span is the central line in the menu menu */
	display: inline-block;
	position: absolute;
	left: 50%;
	top: 50%;
	bottom: auto;
	right: auto;
	-webkit-transform: translateX(-50%) translateY(-50%);
	-moz-transform: translateX(-50%) translateY(-50%);
	-ms-transform: translateX(-50%) translateY(-50%);
	-o-transform: translateX(-50%) translateY(-50%);
	transform: translateX(-50%) translateY(-50%);
	width: 26px;
	height: 2px;
	background-color: #fff;
	/* these are the upper and lower lines in the menu menu */
	}
.menu-toggle .menu-icon::before, 
.menu-toggle .menu-icon:after {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	background-color: inherit;
	left: 0;
	}
.menu-toggle .menu-icon::before {
	bottom: 8px;
	}
.menu-toggle .menu-icon::after {
	top: 8px;
	}
.menu-toggle.is-clicked .menu-icon {
	background-color: rgba(255, 255, 255, 0);
	}
.menu-toggle.is-clicked .menu-icon::before, 
.menu-toggle.is-clicked .menu-icon::after {
	background-color: #fff;
	}
.menu-toggle.is-clicked .menu-icon::before {
	bottom: 0;
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
	transform: rotate(45deg);
	}
.menu-toggle.is-clicked .menu-icon::after {
	top: 0;
	-webkit-transform: rotate(-45deg);
	-moz-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	-o-transform: rotate(-45deg);
	transform: rotate(-45deg);
	}

/* was prefaced by 'is-small' class */	
.is-small .menu-toggle .menu-icon {
	background-color: #000;
	}
.is-small .menu-toggle.is-clicked .menu-icon {
	background-color: rgba(255, 255, 255, 0);
	}
.is-small .menu-toggle.is-clicked .menu-icon::before, 
.is-small .menu-toggle.is-clicked .menu-icon::after {
	background-color: #000;
	}
	
	

	
	
/* ----- [ Navigation / Search ] ------ */
.nav-wrapper {
	display: flex;
	flex-direction: column-reverse;
	}
.main-navigation {
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	height: 0;
	margin: 0;
	padding: 10% 10%;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	overflow: hidden;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
	background: #fff;
	z-index: -1;
	opacity: 0;
	}
	
.main-navigation.is-open {
	min-height: 100vh;
	min-height: calc(100vh - 74px);
	top: 74px;
	opacity: 0.95;
	overflow: scroll;
	}
	
.menu-item {
	margin: 0.5em 0;
	text-decoration: none;
	}

.menu-link {
	font-family: var(--display-font);
	font-weight: var(--display-med);
	font-size: 1.6rem;
	line-height: 1.4;
	color: var(--white);
	color: var(--black);
	text-decoration: none;
	border-bottom: 4px solid transparent;
	}

.menu-link:hover {
	color: var(--white);
	color: var(--accent);
	text-decoration: none;
	}
/*
.menu-link:hover {
	color: var(--white);
	text-decoration: none;
	}
.is-small .menu-link:hover {
	color: var(--black);
	text-decoration: none;
	}
*/
	
.menu-link::before {
    content: '';
    position: absolute;
    width: 0%;
    height: 4px;
    background-color: var(--accent);
    bottom: -5px;
    left: 50%;
    /*left: 0;*/
    transition: all 0.3s ease-in-out;
	}
.menu-link:hover::before,
.menu-link.on::before {
    width: 100%;
    left: 0;
	}
	
	
	
	
/* ----- [ Home Hero ] --------------- */
.home-hero {
	margin: 0 auto;
	padding: 5em 0;
	height: auto;
	display: flex;
	justify-content: center;
	align-items: center;
	}
.hero-text {
	color: #fff;
	}

.home-intro .inner {
	max-width: 1100px;
	}
.home-intro-left {
	padding: 0 5%;
	}
.home-intro-right {
	padding: 0 10%;
	}
.home-intro-right li {
	font-size: 1.3rem;
	font-style: italic;
	font-weight: var(--body-med);
	}
	
.home-intro-left:first-letter {
	color: var(--accent);
	float: left;
	font-family: var(--display-font);
	font-weight: 600;
	font-size: 3.7rem;
	line-height: 50px;
	padding-top: 0;
	padding-right: 4px;
	padding-left: 0;
	}
	
/* ----- [ Icons Section (home) ] ------------- */
.benefit-icons {
	padding-top: 30px;
	}
.benefit-icons .col {
	margin-bottom: 1.5em;
	}
.benefit-icons p {
	margin: 0;
	}
.benefit-icons img {
	margin: 0 0 1em;
	/* filter: invert(95%) sepia(12%) saturate(5237%) hue-rotate(323deg) brightness(95%) contrast(97%); */
	}

/* ----- [ Call to Action section ] -------------- */	
.call-to-action {
	text-align: center;
	color: #fff;
	background: var(--new-blue);
	padding: 40px 30px;
	}
.call-to-action .inner {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	}
.call-to-action h2,
.call-to-action h3 {
	font-size: 2.8rem;
	color: #fff;
	margin: 0 0.5em 0 0;
	}
	
/* ----- [ Page sections ] -----------------*/
.home-page .services-section {
	margin: 0 0 40px;
	padding: 0;
	background: #f1f1f1;
	background: var(--new-blue);
	background: var(--white);
	}
	
.home-page .services-section .row {
	margin: 0;
	}
	
.home-page .services-section .row.tint {
	background: #f1f1f1;
	}
	

/* ----- [ Hero Images ] ----------------- */
.hero {
	height: auto;
	/*height: 200px;*/
	margin: 0;
	padding: 40px 0 0;
	padding-top: 200px; /* header */
	padding-bottom: 100px;
	}
	
.hero-overlay {				
	position: absolute;
	bottom: 0;
	top: 0;
	left: 0;
	right: 0;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	flex-wrap: wrap;
	justify-content: center; 
	align-items: center;
	background: transparent;
	background: rgba(0,0,0,0);
	}
	
	
	
	
	
	
	
	
	
	
	
	
/* ----- [ Test Utilities ] -------------- */
.centered,
.centered p,
.centered h2,
.centered h3 {
	text-align: center;
	}
	
/* ----- [ Color variants ] ----------- */
.dark {
	color: #fff !important;
	background: var(--new-blue);
	}
.dark h2,
.dark h3,
.dark p,
.dark li,
.dark a {
	color: #fff;
	}
.dark a:hover {
	}
	
	
	
	
